(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 5.0'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[      3621,        106]*)
(*NotebookOutlinePosition[      4288,        129]*)
(*  CellTagsIndexPosition[      4244,        125]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["DependenciesOfTensor", "ObjectName"],

Cell[TextData[{
  "\[FilledSmallSquare] ",
  StyleBox["DependenciesOfTensor[",
    FontFamily->"Courier"],
  StyleBox["tensor",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier"],
  " gives the list of parameters and manifolds upon which ",
  StyleBox["tensor",
    FontSlant->"Italic"],
  " depends."
}], "Usage"],

Cell[TextData[{
  "\[FilledSmallSquare] Each tensor has an upvalue for this function.\n\
\[FilledSmallSquare] The function is constructed from the second argument to \
",
  StyleBox[ButtonBox["DefTensor",
    ButtonData:>{"DefTensor.nb", None},
    ButtonStyle->"Hyperlink"],
    FontFamily->"Courier"],
  ". The order in this second argument is irrelevant because it is \
overwritten by ",
  StyleBox["xTensor`Private`SortDependencies",
    FontFamily->"Courier"],
  ".\n\[FilledSmallSquare] A tensor is always a tensor field on the manifolds \
corresponding to its indices; that is, we consider that a nonscalar tensor \
cannot be a constant on a given manifold. This is because we need additional \
structure to show that a tensor field does not depend on that manifold (for \
example a vector field, in order to take Lie derivatives).\n\
\[FilledSmallSquare] See: ",
  ButtonBox["Section 4.4",
    ButtonData:>{
      FrontEnd`FileName[ {
        ParentDirectory[ ]}, "xTensorRefGuide.nb", CharacterEncoding -> 
        "iso8859-1"], "Tensors"},
    ButtonStyle->"Hyperlink"],
  ".\n\[FilledSmallSquare] See also: ",
  StyleBox[ButtonBox["DependenciesOf",
    ButtonData:>{"DependenciesOf.nb", None},
    ButtonStyle->"Hyperlink"],
    FontFamily->"Courier"],
  ".\n\[FilledSmallSquare] New in version 0.\n\[FilledSmallSquare] Last \
update: 23-IX-2007 for version 0.9.3 of ",
  StyleBox["xTensor`",
    FontFamily->"Courier"],
  "."
}], "Text"]
}, Open  ]]
},
FrontEndVersion->"5.0 for X",
ScreenRectangle->{{0, 1024}, {0, 768}},
WindowSize->{520, 600},
WindowMargins->{{72, Automatic}, {47, Automatic}},
StyleDefinitions -> "HelpBrowser.nb"
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1776, 53, 42, 0, 38, "ObjectName"],
Cell[1821, 55, 332, 12, 48, "Usage"],
Cell[2156, 69, 1449, 34, 248, "Text"]
}, Open  ]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

